# $Revision: 1.14 $, $Date: 2011/06/02 08:04:42 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	ldns - a library with the aim to simplify DNS programing in C
Summary(pl.UTF-8):	ldns - biblioteka mająca na celu uproszczenie programowania DNS w C
Name:		ldns
Version:	1.6.10
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.nlnetlabs.nl/downloads/ldns/%{name}-%{version}.tar.gz
# Source0-md5:	fadf8e38fbd2d3434a2c46097d9932d5
URL:		http://www.nlnetlabs.nl/ldns/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ldns is a library with the aim to simplify DNS programing in C. It is
heavily based upon the Net::DNS module from perl.

%description -l pl.UTF-8
ldns jest biblioteka mającą na celu uproszczenie programowania w C.
Jest w dużym stopniu oparta na module Perla Net::DNS.

%package devel
Summary:	Header files for ldns library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ldns
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for ldns library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ldns.

%package static
Summary:	Static ldns library
Summary(pl.UTF-8):	Statyczna biblioteka ldns
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ldns library.

%description static -l pl.UTF-8
Statyczna biblioteka ldns.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}
%{__make} doc

# change symlinks into .so redirects
cd doc/man/man3
for f in `find . -type l`; do
	d=`readlink $f`
	rm -f $f
	echo ".so $d" > $f
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_libdir}/libldns.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libldns.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ldns-config
%doc doc/{*.html,dns-lib-implementations,function_manpages,ldns_manpages,CodingStyle}
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}
%{_mandir}/man3/*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ldns.spec,v $
Revision 1.14  2011/06/02 08:04:42  marti
- BuildRequires: openssl-devel >= 1.0.0 added

Revision 1.13  2011/06/02 07:36:14  marti
- up to 1.6.10

Revision 1.12  2011/04/22 14:18:39  alucard
- up to 1.6.9

Revision 1.11  2010/04/12 19:26:11  arekm
- release 2

Revision 1.10  2010/04/05 20:43:01  zbyniu
- minor files fixes; rel 1

Revision 1.9  2010/03/09 22:55:43  aredridel
- fix source link

Revision 1.8  2010/03/09 22:52:09  aredridel
- 1.6.4

Revision 1.7  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.5  2006/02/04 19:50:54  twittner
- up to 1.0.1

Revision 1.4  2005/08/17 22:35:14  qboosh
- added ssl patch, BR+R: openssl-devel
- fix broken manual symlinks

Revision 1.3  2005/08/17 21:57:42  qboosh
- unified summary style, BR: automake (aclocal)

Revision 1.2  2005/08/13 19:36:22  twittner
- added bcond_without static_libs

Revision 1.1  2005/08/13 18:45:13  twittner
- new, added
